svn::Wc Class Reference

`#include <wc.hpp>`

## Static Public Member Functions

static bool | checkWc (const char *dir)
static bool | checkWc (const Path &dir)
static void | ensureAdm (const char *dir, const char *uuid, const char *url, const Revision &revision)
static void | setAdmDir (const char *dir)
static bool | isAdmDir (const char *name)

## Detailed Description

Class that deals with a working copy

## Member Function Documentation

static bool svn::Wc::checkWc | ( | const char * | dir | ) |

static

check if Path is a valid working directory

Parameters

  dir | path to a directory

Returns
  true=valid working copy

static bool svn::Wc::checkWc | ( | const Path & | dir | ) |

static

static void svn::Wc::ensureAdm | ( | const char * | dir,
|  | const char * | uuid,
|  | const char * | url,
|  | const Revision & | revision
| ) |  |

static

ensure that an administrative area exists for dir, so that dir is a working copy subdir based on url at revision.

Parameters

  dir | path to a directory
  uuid |
  url | corresponding url
  revision | expected working copy revision

static bool svn::Wc::isAdmDir | ( | const char * | name | ) |

static

checks whether name is an administrative directory

Remarks
  name may only be a filename, not an absolute path

static void svn::Wc::setAdmDir | ( | const char * | dir | ) |

static

use dir as name for the subversion administrative directory instead of the standard ".svn"

Parameters

  dir |

The documentation for this class was generated from the following file:

- wc.hpp